if status is-interactive
    # Commands to run in interactive sessions can go here
    set -gx EDITOR nvim
    set -gx VISUAL nvim
    set -gx TERMINAL st

    if not pgrep -u "$USER" ssh-agent > /dev/null;
        ssh-agent -c > "$XDG_RUNTIME_DIR/ssh-agent.env"
    end
    if [ -z $SSH_AUTH_SOCK ]
        eval "$(cat $XDG_RUNTIME_DIR/ssh-agent.env)" > /dev/null
    end
end
