function noname
    if set -q SSH_CONNECTION
        echo -sn (whoami)'@'(hostname)' '
    else
        echo ''
    end
end

function dirname
    echo (basename (pwd | sed "s|^$HOME|~|"))
end

function git_but_good
    set_color red
    echo -n (fish_vcs_prompt) | sed "s| (master)||"
    set_color normal
end

function fish_prompt
    set -l last_status $status

    if test $last_status -ne 0
        set status_color (set_color $fish_color_error)
        set prompt_status $status_color "[" $last_status "]" (set_color normal)
    end

    set_color white
    echo -sn '['(noname)(dirname)(git_but_good)']' $prompt_status '$ '
    set_color normal
end
